storefronts / On-site events
POST
/__runtime/onsite/eventsCreate Onsite Event
Records an on-site widget event for the storefront resolved from the request Host, deduplicating recent impressions.
POST
Authentication
- Requirement
- Not specified
- Credential type
- Not specified
- Scopes
- Not specified
Permissions
- Public storefront endpoint resolved from the request Host; an authenticated storefront session is optional.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Content-Type | Yes | Not specified | Description: Value used by this operation. |
Cookie | Yes | Not specified | Description: Value used by this operation. |
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Path Parameters
Query Parameters
Request Body
Schema: RuntimeOnsiteEventPayload
| Field | Required | Type | Details |
|---|---|---|---|
widget_id | Yes | integer | Description: Identifier for widget. |
variant_id | No | integer | Description: Identifier for variant. |
event_type | Yes | string | Description: Text value. |
page_url | No | string | Description: Text value. |
referrer | No | string | Description: Text value. |
device_hash | No | string | Description: Text value. |
Response Body
Example 200 response
json
{
"ok": "string",
"deduped": "string"
}Errors
400 BAD_REQUEST500 INTERNAL_SERVER_ERRORAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

